#include <stdio.h>

#include "/usr/local/camlib/camlib.c"
#include "/usr/local/camlib/camlib.h"
#include <time.h>
int main(void)
{

  int data,i,q,x,p,a[4096];
  const int EVE_NUM = 100000;
  const int MOD_NUM = 4;
  const int SUB_NUM = 5;
 
  clock_t start,end;
  start = clock();

  COPEN();
  CGENZ();
  for(p=0; p<=4095; p++){
    a[p]=0;}

  i=0;
  while(i<EVE_NUM){  
    CAMAC(NAF(MOD_NUM,SUB_NUM,8),&data,&q,&x);
    if(q==1){
      CAMAC(NAF(MOD_NUM,SUB_NUM,0),&data,&q,&x);
      a[data]++;
      i++;
      //fprintf(stderr,"%d, %d\n", i, data);
      if(i%1000==0){
	fprintf(stderr, ".");
	fflush(stderr);
      }
      CAMAC(NAF(MOD_NUM,SUB_NUM,9),&data,&q,&x); 
    }
   
  }

  end =clock();
  fprintf(stderr,"\n%fsec\n",(double)(end - start) / CLOCKS_PER_SEC);

  fprintf(stderr, "\n");
  fflush(stderr); 

  for(p=0;p<=4095;p++){ 
    printf("%d %d\n", p,  a[p]);
  }
  CCLOSE(); 
  return 0;
}

